org.h2.command.dml

## Enum SelectUnion.UnionType

- java.lang.Object
- - java.lang.Enum<SelectUnion.UnionType>
  - - org.h2.command.dml.SelectUnion.UnionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SelectUnion.UnionType>

Enclosing class:
  SelectUnion

    public static enum SelectUnion.UnionType
    extends java.lang.Enum<SelectUnion.UnionType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXCEPT` The type of an EXCEPT statement.
`INTERSECT` The type of an INTERSECT statement.
`UNION` The type of a UNION statement.
`UNION_ALL` The type of a UNION ALL statement.

### Method Summary

Methods
`static SelectUnion.UnionType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SelectUnion.UnionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNION

    public static final SelectUnion.UnionType UNION

The type of a UNION statement.

#### UNION_ALL

    public static final SelectUnion.UnionType UNION_ALL

The type of a UNION ALL statement.

#### EXCEPT

    public static final SelectUnion.UnionType EXCEPT

The type of an EXCEPT statement.

#### INTERSECT

    public static final SelectUnion.UnionType INTERSECT

The type of an INTERSECT statement.

### Method Detail

#### values

    public static SelectUnion.UnionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SelectUnion.UnionType c : SelectUnion.UnionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SelectUnion.UnionType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null